Page MenuHomePhabricator

Some e-mail text missing from OTRS ticket view
Closed, ResolvedPublic

Description

See https://ticket.wikimedia.org/otrs/index.pl?Action=AgentTicketZoom;TicketID=7933750

There is only one paragraph shown from the respondent. However, when viewing the plain-text version of the same ticket (https://ticket.wikimedia.org/otrs/index.pl?Action=AgentTicketPlain;TicketID=7933750;ArticleID=9407303) it shows multiple paragraphs that were omitted from the ticket view. The missing paragraphs also show up when you click reply.

There does not seem to be any (apparent) reason for this that we can see on our end.

Event Timeline

Rjd0060 created this task.Nov 26 2014, 7:10 PM
Rjd0060 raised the priority of this task from to Needs Triage.
Rjd0060 updated the task description. (Show Details)
Rjd0060 added a project: OTRS.
Rjd0060 changed Security from none to None.
Rjd0060 added subscribers: Rjd0060, Jgreen.

talk to me first before releasing details about this or upstreaming.

reduced so far to 2014112810004236

talk to me first before releasing details about this or upstreaming.
reduced so far to 2014112810004236

Well, in the interest of getting this resolved (upstream seems likely unless somebody finds something) - do you have some sort of information to share?

Well, in the interest of getting this resolved (upstream seems likely unless somebody finds something) - do you have some sort of information to share?

yes, I shared my most recent test case. needs to be narrowed down further and also something else I didn't test yet needs investigation.

2014112810022805 vs. 2014112810022841

I'm not seeing anything in the examples so far that looks like anything other than typical mail presentation, i.e. where there's a plain version plus a mime encoded version of the same content, the viewer picks one to display. I'm probably missing something though, can someone maybe attach screenshots of the problem here?

I'm not seeing anything in the examples so far that looks like anything other than typical mail presentation, i.e. where there's a plain version plus a mime encoded version of the same content, the viewer picks one to display. I'm probably missing something though, can someone maybe attach screenshots of the problem here?

n/m. I got clarification from RD on IRC.

I think the issue that jeremyb identified in T76188 is separate--in that case the content is all there, but the template seems to mangle the HTML message body as it formats the message body for display.

In the case Rdj0060 brings up for this ticket, there are multiple inline MIME attachments and OTRS displays the wrong one as the outgoing message body. Furthermore the additional attachments should probably show up as files to download, but they aren't. I opened one of the affected messages in Alpine as a quick test of whether the message itself is corrupt, and Alpine handled the attachments correctly.

I took a look at the changelog for 3.2.14->3.2.17 and I don't see any related bugs. So I suggest we either send T76062 upstream, or wait until we do that upgrade and see if it magically disappears.

Steinsplitter moved this task from Incoming to Backlog on the OTRS board.Mar 12 2015, 12:38 PM
Steinsplitter triaged this task as Medium priority.Mar 12 2015, 12:41 PM
pajz added a subscriber: pajz.Dec 27 2016, 3:48 PM

I can no longer reproduce the issue in the ticket this report is based on. https://ticket.wikimedia.org/otrs/index.pl?Action=AgentTicketZoom;TicketID=7933750#9407303 displays all relevant parts of the email. There have been a couple of changes in OTRS 5 related to how emails with multiple parts are displayed, so this might have been fixed.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 27 2016, 3:48 PM
akosiaris closed this task as Resolved.May 15 2017, 8:09 AM
akosiaris claimed this task.
akosiaris added a subscriber: akosiaris.

Per @pajz comment above, I am tentatively closing this as Resolved. Feel free to reopen.